Catalina (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.Catalina class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class Catalina

    java.lang.Object
      org.apache.catalina.core.StandardService
          org.apache.catalina.startup.Embedded
              org.apache.catalina.startup.Catalina

All Implemented Interfaces:
  javax.management.MBeanRegistration, Lifecycle, Service

    public class Catalina

extends Embedded

Startup/Shutdown shell program for Catalina. The following command line options are recognized:

- -config {pathname} - Set the pathname of the configuration file to be processed. If a relative path is specified, it will be interpreted as relative to the directory pathname specified by the "catalina.base" system property. [conf/server.xml]
- -help - Display usage information.
- -stop - Stop the currently running instance of Catalina. Should do the same thing as Embedded, but using a server.xml file.

  Version:
    $Revision: 737768 $ $Date: 2009-01-26 18:55:19 +0100 (Mon, 26 Jan 2009) $
  Author:
    Craig R. McClanahan, Remy Maucherat

  Nested Class Summary
  `protected class` | `Catalina.CatalinaShutdownHook` Shutdown hook which will perform a clean shutdown of Catalina if needed.

  Field Summary
  `protected java.lang.String` | `configFile` Pathname to the server configuration file.
  `protected java.lang.ClassLoader` | `parentClassLoader` The shared extensions class loader for this server.
  `protected Server` | `server` The server component we are starting or stopping
  `protected java.lang.Thread` | `shutdownHook` Shutdown hook.
  `protected boolean` | `starting` Are we starting a new server?
  `protected boolean` | `stopping` Are we stopping an existing server?
  `protected boolean` | `useShutdownHook` Use shutdown hook flag.

  Fields inherited from class org.apache.catalina.startup.Embedded
  `authenticators, await, engines, info, lifecycle, realm, redirectStreams, sm, started, useNaming`

  Fields inherited from class org.apache.catalina.core.StandardService
  `connectors, container, controller, domain, executors, initialized, mserver, oname, suffix, support, type`

  Fields inherited from interface org.apache.catalina.Lifecycle
  `AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  Constructor Summary
  `Catalina()`

  Method Summary
  `protected boolean` | `arguments(java.lang.String[] args)` Process the specified command line arguments, and return `true` if we should continue processing; otherwise return `false`.
  `void` | `await()` Await and shutdown.
  `protected java.io.File` | `configFile()` Return a File object representing our configuration file.
  `void` | `create()`
  `protected Digester` | `createStartDigester()` Create and configure the Digester we will be using for startup.
  `protected Digester` | `createStopDigester()` Create and configure the Digester we will be using for shutdown.
  `void` | `destroy()`
  `java.lang.String` | `getConfigFile()`
  `boolean` | `getUseShutdownHook()`
  `void` | `load()` Start a new server instance.
  `void` | `load(java.lang.String[] args)`
  `static void` | `main(java.lang.String[] args)` The application main program.
  `void` | `process(java.lang.String[] args)` The instance main program.
  `void` | `setCatalinaBase()` Deprecated. Use initDirs()
  `void` | `setCatalinaHome()` Deprecated. Use initDirs()
  `void` | `setConfig(java.lang.String file)`
  `void` | `setConfigFile(java.lang.String file)`
  `void` | `setParentClassLoader(java.lang.ClassLoader parentClassLoader)` Set the shared extensions class loader.
  `void` | `setServer(Server server)` Set the server instance we are configuring.
  `void` | `setUseShutdownHook(boolean useShutdownHook)`
  `void` | `start()` Start a new server instance.
  `void` | `stop()` Stop an existing server instance.
  `void` | `stopServer()`
  `void` | `stopServer(java.lang.String[] arguments)`
  `protected void` | `usage()` Print usage information for this application.

  Methods inherited from class org.apache.catalina.startup.Embedded
  `addAuthenticator, addConnector, addEngine, addLifecycleListener, createConnector, createConnector, createConnector, createConnector, createContext, createEngine, createHost, createLoader, findLifecycleListeners, getCatalinaBase, getCatalinaHome, getInfo, getRealm, initDirs, initNaming, initStreams, isAwait, isRedirectStreams, isUseNaming, removeContext, removeEngine, removeHost, removeLifecycleListener, setAwait, setCatalinaBase, setCatalinaHome, setRealm, setRedirectStreams, setSecurityProtection, setUseNaming`

  Methods inherited from class org.apache.catalina.core.StandardService
  `addExecutor, addPropertyChangeListener, findConnectors, findExecutors, getConnectorNames, getContainer, getContainerName, getDomain, getExecutor, getName, getObjectName, getServer, init, initialize, postDeregister, postRegister, preDeregister, preRegister, removeConnector, removeExecutor, removePropertyChangeListener, setContainer, setName, toString`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### configFile

      protected java.lang.String configFile

    Pathname to the server configuration file.

  ### parentClassLoader

      protected java.lang.ClassLoader parentClassLoader

    The shared extensions class loader for this server.

  ### server

      protected Server server

    The server component we are starting or stopping

  ### starting

      protected boolean starting

    Are we starting a new server?

  ### stopping

      protected boolean stopping

    Are we stopping an existing server?

  ### useShutdownHook

      protected boolean useShutdownHook

    Use shutdown hook flag.

  ### shutdownHook

      protected java.lang.Thread shutdownHook

    Shutdown hook.

  Constructor Detail

  ### Catalina

      public Catalina()

  Method Detail

  ### setConfig

      public void setConfig(java.lang.String file)

  ### setConfigFile

      public void setConfigFile(java.lang.String file)

  ### getConfigFile

      public java.lang.String getConfigFile()

  ### setUseShutdownHook

      public void setUseShutdownHook(boolean useShutdownHook)

  ### getUseShutdownHook

      public boolean getUseShutdownHook()

  ### setParentClassLoader

      public void setParentClassLoader(java.lang.ClassLoader parentClassLoader)

    Set the shared extensions class loader.

    Parameters:
      `parentClassLoader` - The shared extensions class loader.

  ### setServer

      public void setServer(Server server)

    Set the server instance we are configuring.

    Specified by:
      `setServer` in interface `Service`
    Overrides:
      `setServer` in class `StandardService`
    Parameters:
      `server` - The new server

  ### main

      public static void main(java.lang.String[] args)

    The application main program.

    Parameters:
      `args` - Command line arguments

  ### process

      public void process(java.lang.String[] args)

    The instance main program.

    Parameters:
      `args` - Command line arguments

  ### arguments

      protected boolean arguments(java.lang.String[] args)

    Process the specified command line arguments, and return `true` if we should continue processing; otherwise return `false`.

    Parameters:
      `args` - Command line arguments to process

  ### configFile

      protected java.io.File configFile()

    Return a File object representing our configuration file.

  ### createStartDigester

      protected Digester createStartDigester()

    Create and configure the Digester we will be using for startup.

  ### createStopDigester

      protected Digester createStopDigester()

    Create and configure the Digester we will be using for shutdown.

  ### stopServer

      public void stopServer()

  ### stopServer

      public void stopServer(java.lang.String[] arguments)

  ### setCatalinaBase

      public void setCatalinaBase()

    Deprecated. Use initDirs()

    Set the `catalina.base` System property to the current working directory if it has not been set.

  ### setCatalinaHome

      public void setCatalinaHome()

    Deprecated. Use initDirs()

    Set the `catalina.home` System property to the current working directory if it has not been set.

  ### load

      public void load()

    Start a new server instance.

  ### load

      public void load(java.lang.String[] args)

  ### create

      public void create()

  ### destroy

      public void destroy()

    Overrides:
      `destroy` in class `StandardService`

  ### start

      public void start()

    Start a new server instance.

    Specified by:
      `start` in interface `Lifecycle`
    Overrides:
      `start` in class `Embedded`

  ### stop

      public void stop()

    Stop an existing server instance.

    Specified by:
      `stop` in interface `Lifecycle`
    Overrides:
      `stop` in class `Embedded`

  ### await

      public void await()

    Await and shutdown.

  ### usage

      protected void usage()

    Print usage information for this application.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.